
package org.netbeans.modules.asm.model.lang.syntax;

public enum BaseTokenId implements AsmTokenId {
    ASM_UNKWN_ID, 
      
    ASM_INSTRUCTION,
    
    ASM_MARKS,
    
    ASM_LABEL,
    ASM_LABEL_INST,
    
    ASM_INTEGER, 
    ASM_FLOAT,
        
    ASM_STRING,
    ASM_CHARACTER,
    
    ASM_REGISTER;          
    
    public static int getMaxOrdinal() {
        int max = 0;
        
        for (BaseTokenId id: BaseTokenId.values()) {
            if (max < id.ordinal()) {
                max = id.ordinal();
            }
        }
        
        return max;
    }
}
