<?xml version="1.0"?>

<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0">

<xsl:preserve-space elements="module"/>
        
<xsl:output 
    method="xml"
    indent="yes"
    cdata-section-elements="license module_notification"/>

    
<xsl:template match="/">
<xsl:text disable-output-escaping="yes">
&lt;!DOCTYPE module_updates PUBLIC "-//NetBeans//DTD Autoupdate Catalog 2.5//EN"
"http://www.netbeans.org/dtds/autoupdate-catalog-2_5.dtd"&gt;
</xsl:text>
    <xsl:apply-templates/>
</xsl:template>


<xsl:template match="module_updates">
<xsl:text>
</xsl:text>
    <module_updates>
        <xsl:apply-templates select="@*"/>
        <xsl:apply-templates/>
    </module_updates>
<xsl:text>
</xsl:text>
</xsl:template>


<xsl:template match="notification">
<notification>
        <xsl:apply-templates select="@*"/>
        <xsl:value-of select="text()" disable-output-escaping="yes"/>
</notification>
</xsl:template>


<xsl:template match="module_group">
<xsl:text>

</xsl:text>
        <xsl:apply-templates/>
</xsl:template>


<xsl:template match="feature">
<xsl:text>

  </xsl:text>
    <feature>
        <xsl:apply-templates select="@*"/>
        <xsl:apply-templates/>
    </feature>

</xsl:template>


<xsl:template match="module">
<xsl:text>

  </xsl:text>
    <module>
        <xsl:apply-templates select="@*"/>
        <xsl:apply-templates/>
<xsl:text>
  </xsl:text>
    </module>

</xsl:template>


<xsl:template match="manifest">
<xsl:text>
    </xsl:text>

    <manifest>
        <xsl:apply-templates select="@*"/>
    </manifest>
</xsl:template>


<xsl:template match="l10n">
<xsl:text>
    </xsl:text>

    <l10n>
        <xsl:apply-templates select="@*"/>
    </l10n>
</xsl:template>


<xsl:template match="description">
</xsl:template>

<xsl:template match="module_notification">
  <xsl:text>
  </xsl:text>
  <module_notification>
        <xsl:value-of select="text()" disable-output-escaping="yes"/>
  </module_notification>
</xsl:template>


<xsl:template match="license">
  <xsl:text>
  
  </xsl:text>
  <license>
        <xsl:apply-templates select="@*"/>
        <xsl:value-of select="text()" disable-output-escaping="yes"/>
  </license>
</xsl:template>


<xsl:template match="module_updates/@*">
    <xsl:copy/>
</xsl:template>


<xsl:template match="module_group/@*">
    <xsl:copy/>
</xsl:template>


<xsl:template match="module/@*">
    <xsl:copy/>
</xsl:template>


<xsl:template match="feature/@*">
    <xsl:copy/>
</xsl:template>


<xsl:template match="manifest/@*">
    <xsl:copy/>
</xsl:template>


<xsl:template match="l10n/@*">
    <xsl:copy/>
</xsl:template>


<xsl:template match="license/@*">
    <xsl:copy/>
</xsl:template>

<xsl:template match="notification/@*">
    <xsl:copy/>
</xsl:template>


<xsl:template match="extra_info">
</xsl:template>


<xsl:template match="group_extra_info">
</xsl:template>


</xsl:stylesheet>
