<%-- 
    Document   : modules.jsp
    Created on : Apr 21, 2008, 10:32:51 AM
    Author     : ms113234
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>

<h1><fmt:message key="modules.heading"/> ${version} - ${type}</h1>
<div align="center">
<form:form method="post" commandName="modules">
    <!--
    <input type="hidden" name="version" value="${version}"/>
    <input type="hidden" name="type" value="${type}"/>
    -->
 
    <table bgcolor="f8f8ff" border="0" cellspacing="0" cellpadding="5">
       <tr>
           <td colspan="3"> <h2>Staged Modules</h2></td>
           <td bgcolor="ddffdd" align="center"><h2>Publish</h2></td>
           <td bgcolor="ffffdd" align="center"><h2>Keep staged</h2></td>
           <td bgcolor="ffdddd" align="center"><h2>Remove</h2></td>
       </tr>
       <c:set var="num" value="0"/>
       <c:forEach items="${stagedGroups}" var="group">
       <c:set var="title" value="0"/>
       <c:forEach items="${group.value}" var="module">
       <tr>
           <td>
               <c:if test="${title==0}">
               ${group.key}/
               </c:if>
               <c:if test="${title>0}">
               &nbsp;
               </c:if>
           </td>
           <td 
              <c:if test="${num%2==0}">bgcolor="e8e8ff"</c:if>
              <c:if test="${num%2==1}">bgcolor="f8f8ff"</c:if>
           >
               ${module.name}
               <input type="hidden" name="stg_module${num}" value="${module.distURL}"/>
           </td>
           <td 
              <c:if test="${num%2==0}">bgcolor="e8e8ff"</c:if>
              <c:if test="${num%2==1}">bgcolor="f8f8ff"</c:if>
           >
               ${module.specVersion}
           </td>
           <td align="center"
              <c:if test="${num%2==0}">bgcolor="ccffcc"</c:if>
              <c:if test="${num%2==1}">bgcolor="ddffdd"</c:if>
           >
               <input type="radio" name="stg_module_act${num}" value="publish"/>
           </td>
           <td align="center"
              <c:if test="${num%2==0}">bgcolor="ffffcc"</c:if>
              <c:if test="${num%2==1}">bgcolor="ffffdd"</c:if>
           >
               <input type="radio" name="stg_module_act${num}" value="stage" checked>
           </td>
           <td align="center"
              <c:if test="${num%2==0}">bgcolor="ffcccc"</c:if>
              <c:if test="${num%2==1}">bgcolor="ffdddd"</c:if>
           >
               <input type="radio" name="stg_module_act${num}" value="remove"/>
           </td>
       </tr>
       <c:set var="num" value="${num+1}"/>
       <c:set var="title" value="${title+1}"/>
       </c:forEach>
       </c:forEach>
       
       <tr>
           <td colspan="6">&nbsp;</td>
       </tr>
       <tr>
           <td colspan="3"><h2>Published Modules</h2></td>
           <td bgcolor="ddffdd"><h2>Keep published</h2></td>
           <td bgcolor="ffffdd"><h2>Move to staging</h2></td>
           <td bgcolor="ffdddd"><h2>Remove</h2></td>
       </tr>
       <c:set var="num" value="0"/>
       <c:forEach items="${publishedGroups}" var="group">
       <c:set var="title" value="0"/>
       <c:forEach items="${group.value}" var="module">
       <tr>
           <td>
               <c:if test="${title==0}">
               ${group.key}/
               </c:if>
               <c:if test="${title>0}">
               &nbsp;
               </c:if>
           </td>
           <td 
              <c:if test="${num%2==0}">bgcolor="e8e8ff"</c:if>
              <c:if test="${num%2==1}">bgcolor="f8f8ff"</c:if>
           >
               ${module.name}
               <input type="hidden" name="pub_module${num}" value="${module.distURL}"/>
           </td>
           <td 
              <c:if test="${num%2==0}">bgcolor="e8e8ff"</c:if>
              <c:if test="${num%2==1}">bgcolor="f8f8ff"</c:if>
           >
               ${module.specVersion}
           </td>
           <td align="center"
              <c:if test="${num%2==0}">bgcolor="ccffcc"</c:if>
              <c:if test="${num%2==1}">bgcolor="ddffdd"</c:if>
           >
               <input type="radio" name="pub_module_act${num}" value="publish" checked>
           </td>
           <td align="center"
              <c:if test="${num%2==0}">bgcolor="ffffcc"</c:if>
              <c:if test="${num%2==1}">bgcolor="ffffdd"</c:if>
           >
               <input type="radio" name="pub_module_act${num}" value="stage"/>
           </td>
           <td align="center"
              <c:if test="${num%2==0}">bgcolor="ffcccc"</c:if>
              <c:if test="${num%2==1}">bgcolor="ffdddd"</c:if>
           >
               <input type="radio" name="pub_module_act${num}" value="remove"/>
           </td>
       </tr>
       <c:set var="num" value="${num+1}"/>
       <c:set var="title" value="${title+1}"/>
       </c:forEach>
       </c:forEach>
       <tr>
           <td colspan="6">&nbsp;</td>
       </tr>
       <tr>
           <td colspan="3" align="left">
               <input type="reset" align="center" value="Discard changes">
           </td>
           <td colspan="3" align="right">
               <input type="submit" align="center" value="Apply changes">
           </td>
       </tr>
       
    </table>
    <br>
    <!--input type="submit" align="center" value="Execute"-->
</form:form>
</div>
<a href="<c:url value="hello.htm"/>">Home</a>


