#!/usr/bin/python
import os

for file in os.listdir("."):
	if file.endswith(".js") and file.find("sort") == -1:
		with open(file) as fin:
			fout = open("sort_" + file , "w")
			start = False
			ecma6 = False
			mydict = {};
			commentBuffer = "";
			for line in fin:
				if not start:
					fout.write(line)
				if line.strip() == "":
					continue
				if start and line.find("*") > -1 :
					if line.find("ECMAScript6") > -1 :
						ecma6 = True
					commentBuffer += line
				elif start:
					if ecma6:
						mydict["ZZZZZZ" + line] = commentBuffer + line
					else:
						mydict[line] = commentBuffer + line
					commentBuffer = ""
					ecma6 = False
				if line.strip() == "}":
					start = True
			for key in sorted(mydict):
				fout.write(mydict[key])
			fout.close()
