/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.netbeans.jsstubsgenerator.stub;

/**
 *
 * @author Martin Fousek <marfous@netbeans.org>
 */
public class Parameter {

    private final String name;
    private final String type;
    private final String desc;
    private final boolean optional;

    public Parameter(String name, String type, String desc) {
        this.name = name;
        this.type = type;
        this.desc = desc;
        this.optional = false;
    }

    public Parameter(String name, String type, String desc, boolean optional) {
        this.name = name;
        this.type = type;
        this.desc = desc;
        this.optional = optional;
    }

    public String getDesc() {
        return desc;
    }

    public String getName() {
        return name;
    }

    public String getType() {
        return type;
    }

}
