/*
 * ManifestProvider.java
 *
 * Created on December 8, 2006, 2:45 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package org.netbeans.examples.manifestsupport.api;

import java.util.jar.Manifest;
import org.openide.nodes.Node;

/**
 * Can provide a Manifest object from DataObjects or Nodes representing a
 * JAR manifest file.
 *
 * @author Tim Boudreau
 */
public interface ManifestProvider extends Node.Cookie {
    /**
     * Get a Manifest object representing the file or owner of this
     * ManifestProvider.  This method may not be called in the 
     * AWT Event Thread, as it performs blocking I/O.
     */
    public Manifest getManifest();
}
