<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:jsp="http://java.sun.com/JSP/Page"
    xmlns:ui="http://www.sun.com/web/ui" xmlns:webuijsf="http://www.sun.com/webui/webuijsf">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <f:view>
        <ui:page binding="#{TestPluginTab.page1}" id="page1">
            <ui:html binding="#{TestPluginTab.html1}" id="html1">
                <ui:head binding="#{TestPluginTab.head1}" id="head1">
                    <ui:link binding="#{TestPluginTab.link1}" id="link1" url="/resources/netbeans.css"/>
                </ui:head>
                <ui:body binding="#{TestPluginTab.body1}" id="body1">
                    <ui:form binding="#{TestPluginTab.form1}" id="form1">
                        <div style="position: relative">
                            <jsp:directive.include file="PluginHeader.jspf"/>
                        </div>
                        <ui:panelLayout binding="#{TestPluginTab.center_container1}" id="center_container1" panelLayout="flow" styleClass="center-container">
                            <ui:panelLayout binding="#{TestPluginTab.page_border}" id="page_border" panelLayout="flow" styleClass="page-border">
                                <ui:panelLayout binding="#{TestPluginTab.fixed_tabs}" id="fixed_tabs" panelLayout="flow" styleClass="fixed-tabs">
                                    <ui:image binding="#{TestPluginTab.image1}" height="26" id="image1" styleClass="float-left" url="/resources/corner-left.png" width="11"/>
                                    <ui:image binding="#{TestPluginTab.image2}" id="image2" styleClass="float-right" url="/resources/corner-right.png"/>
                                    <ui:imageHyperlink binding="#{TestPluginTab.imageHyperlink1}" id="imageHyperlink1" imageURL="/resources/home-off.png" url="http://www.netbeans.org"/>
                                    <ui:imageHyperlink binding="#{TestPluginTab.imageHyperlink2}" id="imageHyperlink2" imageURL="/resources/products-off.png" url="http://www.netbeans.org/products/index.html"/>
                                    <ui:imageHyperlink binding="#{TestPluginTab.imageHyperlink3}" id="imageHyperlink3" imageURL="/resources/catalogue-on.png" url="http://www.netbeans.org/catalogue/index.html"/>
                                    <ui:imageHyperlink binding="#{TestPluginTab.imageHyperlink4}" id="imageHyperlink4" imageURL="/resources/kb-off2.png" url="http://www.netbeans.org/kb/index.html"/>
                                    <ui:imageHyperlink binding="#{TestPluginTab.imageHyperlink5}" id="imageHyperlink5" imageURL="/resources/community-off.png" url="http://www.netbeans.org/community/index.html"/>
                                    <ui:imageHyperlink binding="#{TestPluginTab.imageHyperlink6}" id="imageHyperlink6" imageURL="/resources/partners-off.png" url="http://www.netbeans.org/partners/index.html"/>
                                </ui:panelLayout>
                                <ui:panelLayout binding="#{TestPluginTab.fixed_contentarea}" id="fixed_contentarea" panelLayout="flow" styleClass="fixed-contentarea">
                                    <ui:panelLayout binding="#{TestPluginTab.navig_breadcrumbs}" id="navig_breadcrumbs" panelLayout="flow"
                                            styleClass="navig-breadcrumbs">/Ho<ui:hyperlink binding="#{TestPluginTab.hyperlink1}" id="hyperlink1"
                                            text="Home"/>/<ui:staticText binding="#{TestPluginTab.staticText1}" id="staticText1" text="/Plugins"/>
                                    </ui:panelLayout>
                                    <ui:panelLayout binding="#{TestPluginTab.fixed_contextbox}" id="fixed_contextbox" panelLayout="flow" styleClass="fixed-contentbox-ie">
                                        <h:panelGrid binding="#{TestPluginTab.main_table}" columns="2" id="main_table" styleClass="f-page-table-2col full-width colapse">
                                            <ui:panelLayout binding="#{TestPluginTab.left_col}" id="left_col" panelLayout="flow">
                                                <ui:panelLayout binding="#{TestPluginTab.print}" id="print" panelLayout="flow">
                                                    <ui:imageHyperlink binding="#{TestPluginTab.imageHyperlink7}" id="imageHyperlink7"
                                                        imageURL="/resources/print.gif"
                                                        onClick="window.open(&quot;http://testwww.netbeans.org/catalogue/index.html&quot;,&quot;&quot;,&quot;left=0,top=0,scrollbars=yes,resizable=yes,toolbar=yes,location=yes,menubar=yes&quot;);" styleClass="print"/>
                                                </ui:panelLayout>
                                                <ui:panelLayout binding="#{TestPluginTab.main_area}" id="main_area" panelLayout="flow" styleClass="f-page-cell">
                                                    <h:outputText binding="#{TestPluginTab.outputText1}" id="outputText1" styleClass="netbeans_h1" value="Plugin Catalog"/>
                                                </ui:panelLayout>
                                            </ui:panelLayout>
                                            <ui:panelLayout binding="#{TestPluginTab.right_col}" id="right_col" panelLayout="flow" styleClass="b-left rcol valign-top">
                                                <webuijsf:panelLayout binding="#{TestPluginTab.layoutPanel1}" id="layoutPanel1" panelLayout="flow" style="">
                                                    <webuijsf:staticText binding="#{TestPluginTab.staticText2}" id="staticText2" style="font-size: 8px" text="smallest"/>
                                                    <webuijsf:staticText binding="#{TestPluginTab.staticText4}" escape="false" id="staticText4" text="&amp;nbsp;"/>
                                                    <webuijsf:staticText binding="#{TestPluginTab.staticText3}" id="staticText3" style="font-size: 12px"
                                                        text="smaller"/>s<webuijsf:staticText binding="#{TestPluginTab.staticText5}" escape="false"
                                                        id="staticText5" text="&amp;nbsp;"/>
                                                    <webuijsf:staticText binding="#{TestPluginTab.staticText6}" id="staticText6" style="font-size: 14px" text="small"/>
                                                    <webuijsf:staticText binding="#{TestPluginTab.staticText7}" escape="false" id="staticText7" text="&amp;nbsp;"/>
                                                    <webuijsf:staticText binding="#{TestPluginTab.staticText8}" id="staticText8" style="font-size: 16px" text="normal"/>
                                                    <webuijsf:staticText binding="#{TestPluginTab.staticText9}" escape="false" id="staticText9" text="&amp;nbsp;"/>
                                                    <webuijsf:staticText binding="#{TestPluginTab.staticText10}" id="staticText10" style="font-size: 18px" text="big"/>
                                                    <webuijsf:staticText binding="#{TestPluginTab.staticText11}" escape="false" id="staticText11" text="&amp;nbsp;"/>
                                                    <webuijsf:staticText binding="#{TestPluginTab.staticText12}" id="staticText12" style="font-size: 20px" text="bigger"/>
                                                    <webuijsf:staticText binding="#{TestPluginTab.staticText13}" escape="false" id="staticText13" text="&amp;nbsp;"/>
                                                    <webuijsf:staticText binding="#{TestPluginTab.staticText14}" id="staticText14" style="font-size: 22px" text="biggest"/>
                                                </webuijsf:panelLayout>
                                            </ui:panelLayout>
                                        </h:panelGrid>
                                    </ui:panelLayout>
                                </ui:panelLayout>
                            </ui:panelLayout>
                        </ui:panelLayout>
                    </ui:form>
                </ui:body>
            </ui:html>
        </ui:page>
    </f:view>
</jsp:root>
