/*
                    Sun Public License Notice

The contents of this file are subject to the Sun Public License Version
1.0 (the "License"). You may not use this file except in compliance with
the License. A copy of the License is available at http://www.sun.com/

The Original Code is the Regsup module.
The Initial Developer of the Original Code is Petr Slegr.
Portions created by Petr Slegr are Copyright (C) 2002.
All Rights Reserved.

Contributor(s): Petr Slegr.
*/

package org.netbeans.modules.regsup.auted;

import java.awt.*;
/**
 *
 * @author  Petr Slegr
 * @version 27.6.01
 */
// !!!! zrusit tuto classu
public class PointPlus extends Point {

    private boolean negX;
    private boolean negY;
    
    public PointPlus (Point p) {
        super (p);
    }
    
    /** Creates new PointPlus */
    public PointPlus (double x, double y) {
        this ((int) x, (int) y);
    }
    
    /*
    public PointPlus (double x, int y) {
        this ((int) x, y);
    }
    
    public PointPlus (int x, double y) {
        this (x, (int) y);
    }
     */
    
    public PointPlus (int x, int y) {
        super (x, y);
        if (x < 0)
            negX = true;
        if (y < 0)
            negY = true;
    }

    /**
     */
    public PointPlus add (Point to) {
        //PointPlus res = new Point ();
        double nx, ny;
        if (negX)
            nx =  to.getX () - getX ();
        nx = to.getX () + getX ();
        if (negY)
            ny = to.getY () - getY ();
        ny = to.getY () + getY ();
        //res.setLocation ((int) nx, (int) ny);
        PointPlus res = new PointPlus (nx, ny);
        return res;
        //return new Point ((int) (getX () + to.getX ()), (int) (getY () + to.getY ()));
    }
    
    // !!! change impl !!!
    public PointPlus add (double a, double b) {
        return add (new PointPlus (a,b));
    }
    
    /* predelat
    public static Point add (Point a, Point b) {
        int x = (int) (a.getX () + b.getX ());
        int y = (int) (a.getY () + b.getY ());
        return new Point (x, y);
    }
     */
}
