
package org.netbeans.modules.asm.x86;

import java.io.Reader;
import java.util.List;

import org.netbeans.modules.asm.model.AsmModel;
import org.netbeans.modules.asm.model.cpu.OpcodeFactory;
import org.netbeans.modules.asm.model.cpu.StateFactory;
import org.netbeans.modules.asm.model.lang.Register;
import org.netbeans.modules.asm.model.lang.instruction.Instruction;
import org.netbeans.modules.asm.model.AsmModelAccessor;

public class X86AsmModel implements AsmModel {
    
    public X86AsmModel() {
    }

    public List<Instruction> getInstructions() {
        return java.util.Collections.<Instruction>emptyList();       
    }

    public List<Register> getRegisters() {
        return java.util.Collections.<Register>emptyList();  
    }

    public StateFactory getStateFactory() {
        return null;
    }

    public OpcodeFactory getOpcodeFactory() {
        return null; 
    }

    public AsmModelAccessor parse(Reader in) {
        return new X86AsmModelAccessor(in);
    }
    
}
