
package org.netbeans.modules.asm.x86;

import java.io.Reader;
import java.util.List;

import org.netbeans.modules.asm.model.lang.AsmOffsetable;
import org.netbeans.modules.asm.model.AsmModelAccessor;
import org.netbeans.modules.asm.x86.syntax.att.ATTParser;

public class X86AsmModelAccessor implements AsmModelAccessor {
        
    private ATTParser parser;
    
    public X86AsmModelAccessor(Reader reader) {
        parser = new ATTParser(reader);
    }

    public List<AsmOffsetable> getResult() {
        return parser.parse();
    }
    
}
