# This script downloads html pages parsed for JavaScript stubs creation.

##### Core JavaScript stubs
wget -r -m -k -K -Ddeveloper.mozilla.org --no-parent -e robots=off  https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/
wget -r -m -k -K -Ddeveloper.mozilla.org --no-parent -e robots=off  https://developer.mozilla.org/en/JavaScript_typed_arrays/

##### DOM stubs
wget -r -m -k -K -Ddeveloper.mozilla.org --no-parent -e robots=off  https://developer.mozilla.org/en/DOM/
mkdir w3.org
cd w3.org

wget http://www.w3.org/TR/REC-DOM-Level-1/ecma-script-language-binding.html -O dom1-ecma-Core.html
wget http://www.w3.org/TR/REC-DOM-Level-1/level-one-core.html -O dom1-doc-Core.html
wget http://www.w3.org/TR/REC-DOM-Level-1/level-one-html.html -O dom1-doc-Html.html

wget http://www.w3.org/TR/DOM-Level-2-Core/ecma-script-binding.html -O dom2-ecma-Core.html
wget http://www.w3.org/TR/DOM-Level-2-Core/core.html -O dom2-doc-Core.html

wget http://www.w3.org/TR/DOM-Level-2-HTML/ecma-script-binding.html -O dom2-ecma-Html.html
wget http://www.w3.org/TR/DOM-Level-2-HTML/html.html -O dom2-doc-Html.html

wget http://www.w3.org/TR/2000/REC-DOM-Level-2-Events-20001113/ecma-script-binding.html -O dom2-ecma-Events.html
wget http://www.w3.org/TR/2000/REC-DOM-Level-2-Events-20001113/events.html -O dom2-doc-Events.html

wget http://www.w3.org/TR/2000/REC-DOM-Level-2-Style-20001113/ecma-script-binding.html -O dom2-ecma-Style.html
wget http://www.w3.org/TR/2000/REC-DOM-Level-2-Style-20001113/stylesheets.html -O dom2-doc-Stylesheets.html
wget http://www.w3.org/TR/2000/REC-DOM-Level-2-Style-20001113/css.html -O dom2-doc-Css.html

wget http://www.w3.org/TR/2000/REC-DOM-Level-2-Traversal-Range-20001113/ecma-script-binding.html -O dom2-ecma-Traversal.html
wget http://www.w3.org/TR/2000/REC-DOM-Level-2-Traversal-Range-20001113/traversal.html -O dom2-doc-Traversal.html
wget http://www.w3.org/TR/2000/REC-DOM-Level-2-Traversal-Range-20001113/ranges.html -O dom2-doc-Range.html

wget http://www.w3.org/TR/2000/REC-DOM-Level-2-Views-20001113/ecma-script-binding.html -O dom2-ecma-Views.html
wget http://www.w3.org/TR/2000/REC-DOM-Level-2-Views-20001113/views.html -O dom2-doc-Views.html

wget http://www.w3.org/TR/DOM-Level-3-Core/ecma-script-binding.html -O dom3-ecma-Core.html
wget http://www.w3.org/TR/2004/REC-DOM-Level-3-Core-20040407/core.html -O dom3-doc-Core.html
