/**
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 *
 * Copyright 1997-2007 Sun Microsystems, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of either the GNU
 * General Public License Version 2 only ("GPL") or the Common
 * Development and Distribution License("CDDL") (collectively, the
 * "License"). You may not use this file except in compliance with the
 * License. You can obtain a copy of the License at
 * http://www.netbeans.org/cddl-gplv2.html
 * or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
 * specific language governing permissions and limitations under the
 * License.  When distributing the software, include this License Header
 * Notice in each file and include the License file at
 * nbbuild/licenses/CDDL-GPL-2-CP.  Sun designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Sun in the GPL Version 2 section of the License file that
 * accompanied this code. If applicable, add the following below the
 * License Header, with the fields enclosed by brackets [] replaced by
 * your own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 *
 * Contributor(s):
 *
 * The Original Software is NetBeans. The Initial Developer of the Original
 * Software is Sun Microsystems, Inc. Portions Copyright 1997-2007 Sun
 * Microsystems, Inc. All Rights Reserved.
 *
 * If you wish your version of this file to be governed by only the CDDL
 * or only the GPL Version 2, indicate your decision by adding
 * "[Contributor] elects to include this software in this distribution
 * under the [CDDL or GPL Version 2] license." If you do not indicate a
 * single choice of license, a recipient has the option to distribute
 * your version of this file under either the CDDL, the GPL Version 2 or
 * to extend the choice of license to its licensees as provided above.
 * However, if you add GPL Version 2 code and therefore, elected the GPL
 * Version 2 license, then the option applies only if the new code is
 * made subject to such option by the copyright holder.
 **/
package pluginportal;

import com.sun.rave.web.ui.appbase.AbstractPageBean;
import com.sun.webui.jsf.component.Body;
import com.sun.webui.jsf.component.Button;
import com.sun.webui.jsf.component.Form;
import com.sun.webui.jsf.component.Head;
import com.sun.webui.jsf.component.Html;
import com.sun.webui.jsf.component.Hyperlink;
import com.sun.webui.jsf.component.ImageComponent;
import com.sun.webui.jsf.component.ImageHyperlink;
import com.sun.webui.jsf.component.Link;
import com.sun.webui.jsf.component.Markup;
import com.sun.webui.jsf.component.MessageGroup;
import com.sun.webui.jsf.component.Page;
import com.sun.webui.jsf.component.PanelGroup;
import com.sun.webui.jsf.component.PanelLayout;
import com.sun.webui.jsf.component.RadioButton;
import com.sun.webui.jsf.component.StaticText;
import com.sun.webui.jsf.component.Upload;
import com.sun.webui.jsf.model.UploadedFile;
import java.io.File;
import java.io.IOException;
import javax.faces.FacesException;
import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.ValidatorException;
import org.netbeans.pluginportal.system.NBMDeploymentDescriptor;
import org.netbeans.pluginportal.system.SystemFileUtils;

/**
 * <p>Page bean that corresponds to a similarly named JSP page.  This
 * class contains component definitions (and initialization code) for
 * all components that you have defined on this page, as well as
 * lifecycle methods and event handlers where you may add behavior
 * to respond to incoming events.</p>
 *
 * @author David Botterill
 */
public class AddPageStep1 extends AbstractPageBean {
    // <editor-fold defaultstate="collapsed" desc="Managed Component Definition">
    private int __placeholder;
    
    /**
     * <p>Automatically managed component initialization.  <strong>WARNING:</strong>
     * This method is automatically generated, so any user-specified code inserted
     * here is subject to being replaced.</p>
     */
    private void _init() throws Exception {
    }
    
    private Page page1 = new Page();
    
    /**
     *
     * @return
     */
    public Page getPage1() {
        return page1;
    }
    
    public void setPage1(Page p) {
        this.page1 = p;
    }
    
    private Html html1 = new Html();
    
    public Html getHtml1() {
        return html1;
    }
    
    public void setHtml1(Html h) {
        this.html1 = h;
    }
    
    private Head head1 = new Head();
    
    public Head getHead1() {
        return head1;
    }
    
    public void setHead1(Head h) {
        this.head1 = h;
    }
    
    private Link link1 = new Link();
    
    public Link getLink1() {
        return link1;
    }
    
    public void setLink1(Link l) {
        this.link1 = l;
    }
    
    private Body body1 = new Body();
    
    public Body getBody1() {
        return body1;
    }
    
    public void setBody1(Body b) {
        this.body1 = b;
    }
    
    private Form form1 = new Form();
    
    public Form getForm1() {
        return form1;
    }
    
    public void setForm1(Form f) {
        this.form1 = f;
    }
    
    private PanelLayout center_container1 = new PanelLayout();
    
    public PanelLayout getCenter_container1() {
        return center_container1;
    }
    
    public void setCenter_container1(PanelLayout pl) {
        this.center_container1 = pl;
    }
    
    private PanelLayout page_border = new PanelLayout();
    
    public PanelLayout getPage_border() {
        return page_border;
    }
    
    public void setPage_border(PanelLayout pl) {
        this.page_border = pl;
    }
    
    private PanelLayout fixed_tabs = new PanelLayout();
    
    public PanelLayout getFixed_tabs() {
        return fixed_tabs;
    }
    
    public void setFixed_tabs(PanelLayout pl) {
        this.fixed_tabs = pl;
    }
    
    private ImageComponent image1 = new ImageComponent();
    
    public ImageComponent getImage1() {
        return image1;
    }
    
    public void setImage1(ImageComponent ic) {
        this.image1 = ic;
    }
    
    private ImageComponent image2 = new ImageComponent();
    
    public ImageComponent getImage2() {
        return image2;
    }
    
    public void setImage2(ImageComponent ic) {
        this.image2 = ic;
    }
    
    private ImageHyperlink lnkHome = new ImageHyperlink();
    
    public ImageHyperlink getLnkHome() {
        return lnkHome;
    }
    
    public void setLnkHome(ImageHyperlink ih) {
        this.lnkHome = ih;
    }
    
    private ImageHyperlink lnkProducts = new ImageHyperlink();
    
    public ImageHyperlink getLnkProducts() {
        return lnkProducts;
    }
    
    public void setLnkProducts(ImageHyperlink ih) {
        this.lnkProducts = ih;
    }
    
    private ImageHyperlink lnkPluginTab = new ImageHyperlink();
    
    public ImageHyperlink getLnkPluginTab() {
        return lnkPluginTab;
    }
    
    public void setLnkPluginTab(ImageHyperlink ih) {
        this.lnkPluginTab = ih;
    }
    
    private ImageHyperlink lnkDocs = new ImageHyperlink();
    
    public ImageHyperlink getLnkDocs() {
        return lnkDocs;
    }
    
    public void setLnkDocs(ImageHyperlink ih) {
        this.lnkDocs = ih;
    }
    
    private ImageHyperlink lnkCommunity = new ImageHyperlink();
    
    public ImageHyperlink getLnkCommunity() {
        return lnkCommunity;
    }
    
    public void setLnkCommunity(ImageHyperlink ih) {
        this.lnkCommunity = ih;
    }
    
    private ImageHyperlink lnkPartners = new ImageHyperlink();
    
    public ImageHyperlink getLnkPartners() {
        return lnkPartners;
    }
    
    public void setLnkPartners(ImageHyperlink ih) {
        this.lnkPartners = ih;
    }
    
    private PanelLayout fixed_contentarea = new PanelLayout();
    
    public PanelLayout getFixed_contentarea() {
        return fixed_contentarea;
    }
    
    public void setFixed_contentarea(PanelLayout pl) {
        this.fixed_contentarea = pl;
    }
    
    private PanelLayout fixed_contextbox = new PanelLayout();
    
    public PanelLayout getFixed_contextbox() {
        return fixed_contextbox;
    }
    
    public void setFixed_contextbox(PanelLayout pl) {
        this.fixed_contextbox = pl;
    }
    
    private StaticText txtLogon1 = new StaticText();
    
    public StaticText getTxtLogon1() {
        return txtLogon1;
    }
    
    public void setTxtLogon1(StaticText st) {
        this.txtLogon1 = st;
    }
    
    private PanelLayout bottomPanel = new PanelLayout();
    
    public PanelLayout getBottomPanel() {
        return bottomPanel;
    }
    
    public void setBottomPanel(PanelLayout pl) {
        this.bottomPanel = pl;
    }
    
    private Markup markup3 = new Markup();
    
    public Markup getMarkup3() {
        return markup3;
    }
    
    public void setMarkup3(Markup m) {
        this.markup3 = m;
    }
    
    private PanelLayout fixed_footer = new PanelLayout();
    
    public PanelLayout getFixed_footer() {
        return fixed_footer;
    }
    
    public void setFixed_footer(PanelLayout pl) {
        this.fixed_footer = pl;
    }
    
    private PanelLayout footer_text1 = new PanelLayout();
    
    public PanelLayout getFooter_text1() {
        return footer_text1;
    }
    
    public void setFooter_text1(PanelLayout pl) {
        this.footer_text1 = pl;
    }
    
    private PanelLayout footer_navig1 = new PanelLayout();
    
    public PanelLayout getFooter_navig1() {
        return footer_navig1;
    }
    
    public void setFooter_navig1(PanelLayout pl) {
        this.footer_navig1 = pl;
    }
    
    private StaticText staticText10 = new StaticText();
    
    public StaticText getStaticText10() {
        return staticText10;
    }
    
    public void setStaticText10(StaticText st) {
        this.staticText10 = st;
    }
    
    private StaticText staticText11 = new StaticText();
    
    public StaticText getStaticText11() {
        return staticText11;
    }
    
    public void setStaticText11(StaticText st) {
        this.staticText11 = st;
    }
    
    private Hyperlink hyperlink4 = new Hyperlink();
    
    public Hyperlink getHyperlink4() {
        return hyperlink4;
    }
    
    public void setHyperlink4(Hyperlink h) {
        this.hyperlink4 = h;
    }
    
    private StaticText staticText12 = new StaticText();
    
    public StaticText getStaticText12() {
        return staticText12;
    }
    
    public void setStaticText12(StaticText st) {
        this.staticText12 = st;
    }
    
    private Hyperlink hyperlink5 = new Hyperlink();
    
    public Hyperlink getHyperlink5() {
        return hyperlink5;
    }
    
    public void setHyperlink5(Hyperlink h) {
        this.hyperlink5 = h;
    }
    
    private StaticText staticText13 = new StaticText();
    
    public StaticText getStaticText13() {
        return staticText13;
    }
    
    public void setStaticText13(StaticText st) {
        this.staticText13 = st;
    }
    
    private StaticText staticText14 = new StaticText();
    
    public StaticText getStaticText14() {
        return staticText14;
    }
    
    public void setStaticText14(StaticText st) {
        this.staticText14 = st;
    }
    
    private Hyperlink hyperlink6 = new Hyperlink();
    
    public Hyperlink getHyperlink6() {
        return hyperlink6;
    }
    
    public void setHyperlink6(Hyperlink h) {
        this.hyperlink6 = h;
    }
    
    private StaticText staticText15 = new StaticText();
    
    public StaticText getStaticText15() {
        return staticText15;
    }
    
    public void setStaticText15(StaticText st) {
        this.staticText15 = st;
    }
    
    private Hyperlink hyperlink7 = new Hyperlink();
    
    public Hyperlink getHyperlink7() {
        return hyperlink7;
    }
    
    public void setHyperlink7(Hyperlink h) {
        this.hyperlink7 = h;
    }
    
    private StaticText staticText16 = new StaticText();
    
    public StaticText getStaticText16() {
        return staticText16;
    }
    
    public void setStaticText16(StaticText st) {
        this.staticText16 = st;
    }
    
    private Hyperlink hyperlink8 = new Hyperlink();
    
    public Hyperlink getHyperlink8() {
        return hyperlink8;
    }
    
    public void setHyperlink8(Hyperlink h) {
        this.hyperlink8 = h;
    }
    
    private PanelLayout tof1 = new PanelLayout();
    
    public PanelLayout getTof1() {
        return tof1;
    }
    
    public void setTof1(PanelLayout pl) {
        this.tof1 = pl;
    }
    
    private StaticText staticText17 = new StaticText();
    
    public StaticText getStaticText17() {
        return staticText17;
    }
    
    public void setStaticText17(StaticText st) {
        this.staticText17 = st;
    }
    
    private Hyperlink hyperlink9 = new Hyperlink();
    
    public Hyperlink getHyperlink9() {
        return hyperlink9;
    }
    
    public void setHyperlink9(Hyperlink h) {
        this.hyperlink9 = h;
    }
    
    private StaticText staticText2 = new StaticText();
    
    public StaticText getStaticText2() {
        return staticText2;
    }
    
    public void setStaticText2(StaticText st) {
        this.staticText2 = st;
    }
    
    private Markup markup4 = new Markup();
    
    public Markup getMarkup4() {
        return markup4;
    }
    
    public void setMarkup4(Markup m) {
        this.markup4 = m;
    }
    
    private RadioButton radioUploadPlugin = new RadioButton();
    
    public RadioButton getRadioUploadPlugin() {
        return radioUploadPlugin;
    }
    
    public void setRadioUploadPlugin(RadioButton rb) {
        this.radioUploadPlugin = rb;
    }
    
    private Upload txtFileUpload = new Upload();
    
    public Upload getTxtFileUpload() {
        return txtFileUpload;
    }
    
    public void setTxtFileUpload(Upload u) {
        this.txtFileUpload = u;
    }
    
    private Markup markup5 = new Markup();
    
    public Markup getMarkup5() {
        return markup5;
    }
    
    public void setMarkup5(Markup m) {
        this.markup5 = m;
    }
    
    private Markup markup6 = new Markup();
    
    public Markup getMarkup6() {
        return markup6;
    }
    
    public void setMarkup6(Markup m) {
        this.markup6 = m;
    }
    
    private StaticText staticText3 = new StaticText();
    
    public StaticText getStaticText3() {
        return staticText3;
    }
    
    public void setStaticText3(StaticText st) {
        this.staticText3 = st;
    }
    
    private Markup markup7 = new Markup();
    
    public Markup getMarkup7() {
        return markup7;
    }
    
    public void setMarkup7(Markup m) {
        this.markup7 = m;
    }
    
    private RadioButton radioNoUpload = new RadioButton();
    
    public RadioButton getRadioNoUpload() {
        return radioNoUpload;
    }
    
    public void setRadioNoUpload(RadioButton rb) {
        this.radioNoUpload = rb;
    }
    
    private Markup markup8 = new Markup();
    
    public Markup getMarkup8() {
        return markup8;
    }
    
    public void setMarkup8(Markup m) {
        this.markup8 = m;
    }
    
    private Markup markup9 = new Markup();
    
    public Markup getMarkup9() {
        return markup9;
    }
    
    public void setMarkup9(Markup m) {
        this.markup9 = m;
    }
    
    private Markup markup10 = new Markup();
    
    public Markup getMarkup10() {
        return markup10;
    }
    
    public void setMarkup10(Markup m) {
        this.markup10 = m;
    }
    
    private Button btnNext = new Button();
    
    public Button getBtnNext() {
        return btnNext;
    }
    
    public void setBtnNext(Button b) {
        this.btnNext = b;
    }
    
    private Markup markup11 = new Markup();
    
    public Markup getMarkup11() {
        return markup11;
    }
    
    public void setMarkup11(Markup m) {
        this.markup11 = m;
    }
    
    private Markup markup12 = new Markup();
    
    public Markup getMarkup12() {
        return markup12;
    }
    
    public void setMarkup12(Markup m) {
        this.markup12 = m;
    }
    
    private MessageGroup messageGroup1 = new MessageGroup();
    
    public MessageGroup getMessageGroup1() {
        return messageGroup1;
    }
    
    public void setMessageGroup1(MessageGroup mg) {
        this.messageGroup1 = mg;
    }
    
    private Markup markup13 = new Markup();
    
    public Markup getMarkup13() {
        return markup13;
    }
    
    public void setMarkup13(Markup m) {
        this.markup13 = m;
    }
    
    private PanelGroup buttonPanel = new PanelGroup();
    
    public PanelGroup getButtonPanel() {
        return buttonPanel;
    }
    
    public void setButtonPanel(PanelGroup pg) {
        this.buttonPanel = pg;
    }
    
    private PanelLayout navig_breadcrumbs = new PanelLayout();
    
    public PanelLayout getNavig_breadcrumbs() {
        return navig_breadcrumbs;
    }
    
    public void setNavig_breadcrumbs(PanelLayout pl) {
        this.navig_breadcrumbs = pl;
    }
    
    private Hyperlink hyperlink1 = new Hyperlink();
    
    public Hyperlink getHyperlink1() {
        return hyperlink1;
    }
    
    public void setHyperlink1(Hyperlink h) {
        this.hyperlink1 = h;
    }
    
    private StaticText staticText4 = new StaticText();
    
    public StaticText getStaticText4() {
        return staticText4;
    }
    
    public void setStaticText4(StaticText st) {
        this.staticText4 = st;
    }
    
    private PanelGroup loginPanel1 = new PanelGroup();
    
    public PanelGroup getLoginPanel1() {
        return loginPanel1;
    }
    
    public void setLoginPanel1(PanelGroup pg) {
        this.loginPanel1 = pg;
    }
    
    private StaticText staticText5 = new StaticText();
    
    public StaticText getStaticText5() {
        return staticText5;
    }
    
    public void setStaticText5(StaticText st) {
        this.staticText5 = st;
    }
    
    private Hyperlink currentUser1 = new Hyperlink();
    
    public Hyperlink getCurrentUser1() {
        return currentUser1;
    }
    
    public void setCurrentUser1(Hyperlink h) {
        this.currentUser1 = h;
    }
    
    private Hyperlink txtLoginLogoff1 = new Hyperlink();
    
    public Hyperlink getTxtLoginLogoff1() {
        return txtLoginLogoff1;
    }
    
    public void setTxtLoginLogoff1(Hyperlink h) {
        this.txtLoginLogoff1 = h;
    }
    
    private Button btnCancel = new Button();
    
    public Button getBtnCancel() {
        return btnCancel;
    }
    
    public void setBtnCancel(Button b) {
        this.btnCancel = b;
    }
    
    private ImageHyperlink imageHyperlink1 = new ImageHyperlink();
    
    public ImageHyperlink getImageHyperlink1() {
        return imageHyperlink1;
    }
    
    public void setImageHyperlink1(ImageHyperlink ih) {
        this.imageHyperlink1 = ih;
    }
    
    // </editor-fold>
    
    /**
     * <p>Construct a new Page bean instance.</p>
     */
    public AddPageStep1() {
    }
    
    /**
     * <p>Callback method that is called whenever a page is navigated to,
     * either directly via a URL, or indirectly via page navigation.
     * Customize this method to acquire resources that will be needed
     * for event handlers and lifecycle methods, whether or not this
     * page is performing post back processing.</p>
     *
     * <p>Note that, if the current request is a postback, the property
     * values of the components do <strong>not</strong> represent any
     * values submitted with this request.  Instead, they represent the
     * property values that were saved for this view when it was rendered.</p>
     */
    public void init() {
        // Perform initializations inherited from our superclass
        super.init();
        // Perform application initialization that must complete
        // *before* managed components are initialized
        // TODO - add your own initialiation code here
        
        // <editor-fold defaultstate="collapsed" desc="Managed Component Initialization">
        // Initialize automatically managed components
        // *Note* - this logic should NOT be modified
        try {
            _init();
        } catch (Exception e) {
            log("AddPageStep1 Initialization Failure", e);
            throw e instanceof FacesException ? (FacesException) e: new FacesException(e);
        }
        
        // </editor-fold>
        // Perform application initialization that must complete
        // *after* managed components are initialized
        // TODO - add your own initialization code here
        
        /**
         * Check for logged in User.
         */
        if(!this.getSessionBean1().isLoggedIn()) {
            /**
             * Set the page to return to after login.
             */
            this.getSessionBean1().setReturnFromLoginPage("add");
            
            
            try {
                FacesContext.getCurrentInstance().getExternalContext().redirect("faces/LoginPage.jsp");
            } catch (IOException ex) {
                ex.printStackTrace();
            }
        }
    }
    
    /**
     * <p>Callback method that is called after the component tree has been
     * restored, but before any event processing takes place.  This method
     * will <strong>only</strong> be called on a postback request that
     * is processing a form submit.  Customize this method to allocate
     * resources that will be required in your event handlers.</p>
     */
    public void preprocess() {
    }
    
    /**
     * <p>Callback method that is called just before rendering takes place.
     * This method will <strong>only</strong> be called for the page that
     * will actually be rendered (and not, for example, on a page that
     * handled a postback and then navigated to a different page).  Customize
     * this method to allocate resources that will be required for rendering
     * this page.</p>
     */
    public void prerender() {
        /**
         * We need to make sure and clear out the NBM DD and NBM stuff from the session bean
         * so we won't pick it up
         */
        getSessionBean1().setCurrentNBMDD(null);
        getSessionBean1().setCurrentNbmFileName(null);
    }
    
    /**
     * <p>Callback method that is called after rendering is completed for
     * this request, if <code>init()</code> was called (regardless of whether
     * or not this was the page that was actually rendered).  Customize this
     * method to release resources acquired in the <code>init()</code>,
     * <code>preprocess()</code>, or <code>prerender()</code> methods (or
     * acquired during execution of an event handler).</p>
     */
    public void destroy() {
    }
    
    /**
     * <p>Return a reference to the scoped data bean.</p>
     */
    protected ApplicationBean1 getApplicationBean1() {
        return (ApplicationBean1)getBean("ApplicationBean1");
    }
    
    /**
     * <p>Return a reference to the scoped data bean.</p>
     */
    protected RequestBean1 getRequestBean1() {
        return (RequestBean1)getBean("RequestBean1");
    }
    
    /**
     * <p>Return a reference to the scoped data bean.</p>
     */
    protected SessionBean1 getSessionBean1() {
        return (SessionBean1)getBean("SessionBean1");
    }
    
    public String btnNext_action() {
        Object val = this.radioUploadPlugin.getValue();
        if(null != val  && ((String)val).equals("true") && txtFileUpload.getUploadedFile().getOriginalName().equals("")) {
            error("You must enter a filename if you want to upload the NBM(s) to netbeans.org!");
            return null;
        }
        
        if(null != val  && ((String)val).equals("true")) {
            getSessionBean1().setNbmFileSize(txtFileUpload.getUploadedFile().getSize());
            String fileName = txtFileUpload.getUploadedFile().getOriginalName();
            String fileType = fileName.substring(fileName.lastIndexOf("."));
            
            String nbmFilename=null;
            try {
                nbmFilename = FileUtils.getNBMFile(txtFileUpload.getUploadedFile());
            } catch (Exception ex) {
                log("Error reading NBM file!",ex);
                error("Error reading NBM file!  Make sure the file is a valid NBM file. \n" + ex.getMessage());
                return null;
            }
            
            if(fileType.equalsIgnoreCase(".NBM")) {
                File infoFile=null;
                try {
                    String tmpFilename = SystemFileUtils.getNbmLocation() + File.separatorChar + nbmFilename;
                    infoFile = SystemFileUtils.extractInfoFile(tmpFilename);
                } catch (Exception ex) {
                    log("Error reading NBM file!",ex);
                    error("Error reading NBM file!  Make sure the file is a valid NBM file. \n" + ex.getMessage());
                    if(null != infoFile) {
                        infoFile.delete();
                    }
                    return null;
                }
                NBMDeploymentDescriptor nbmDD = new NBMDeploymentDescriptor();
                try {
                    nbmDD.parseDeploymentDescriptor(infoFile);
                    getSessionBean1().setCurrentNBMDD(nbmDD);
                } catch (IOException ex) {
                    log("Error parsing NBM Info file!",ex);
                    error("Error parsing NBM Info file!\n" + ex.getMessage());
                }
                
                
                
                if(null != infoFile) {
                    infoFile.delete();
                }
            }
            
            this.getSessionBean1().setCurrentNbmFileName(nbmFilename);
            
            
        } else {
            this.getSessionBean1().setCurrentNBMDD(null);
            getSessionBean1().setNbmFileSize(0);
        }
        
        return "addpage2";
    }
    
    
    
    public String lnkProducts_action() {
        // TODO: Process the action. Return value is a navigation
        // case name where null will return to the same page.
        
        return null;
    }
    
    public String lnkPluginTab_action() {
        // TODO: Process the action. Return value is a navigation
        // case name where null will return to the same page.
        
        return null;
    }
    
    public String lnkDocs_action() {
        // TODO: Process the action. Return value is a navigation
        // case name where null will return to the same page.
        
        return null;
    }
    
    public String lnkCommunity_action() {
        // TODO: Process the action. Return value is a navigation
        // case name where null will return to the same page.
        
        return null;
    }
    
    public String lnkPartners_action() {
        // TODO: Process the action. Return value is a navigation
        // case name where null will return to the same page.
        
        return null;
    }
    
    
    public String hyperlink4_action() {
        // TODO: Process the action. Return value is a navigation
        // case name where null will return to the same page.
        
        return null;
    }
    
    public String hyperlink5_action() {
        // TODO: Process the action. Return value is a navigation
        // case name where null will return to the same page.
        
        return null;
    }
    
    public String hyperlink6_action() {
        // TODO: Process the action. Return value is a navigation
        // case name where null will return to the same page.
        
        return null;
    }
    
    public String hyperlink7_action() {
        // TODO: Process the action. Return value is a navigation
        // case name where null will return to the same page.
        
        return null;
    }
    
    public String hyperlink8_action() {
        // TODO: Process the action. Return value is a navigation
        // case name where null will return to the same page.
        
        return null;
    }
    
    public String hyperlink9_action() {
        // TODO: Process the action. Return value is a navigation
        // case name where null will return to the same page.
        
        return null;
    }
    
    
    
    public String btnCancel_action() {
        
        return "home";
    }
    
    public String lnkHome_action() {
        
        return "home";
    }
    
    public String hyperlink1_action() {
        // TODO: Process the action. Return value is a navigation
        // case name where null will return to the same page.
        
        return null;
    }
    
    public String currentUser_action() {
        return "myplugins";
    }
    
    public String txtLoginLogoff_action() {
        if(this.getSessionBean1().isLoggedIn()) {
            this.getSessionBean1().setCurrentUserId(null);
            return "home";
        } else {
            this.getSessionBean1().setReturnFromLoginPage("addpage1");
            return "login";
        }
    }
    
    public void nbmFile_validate(FacesContext context, UIComponent component, Object value) {
        UploadedFile upload = (UploadedFile)value;
        String fileName = upload.getOriginalName();
        if(null != fileName && !fileName.equals("")) {
            if(fileName.lastIndexOf(".") == -1) {
                throw new ValidatorException(new FacesMessage("Invalid file type! You must point to a .nbm or .zip file."));
            }
            String fileType = fileName.substring(fileName.lastIndexOf("."));
            if(!fileType.equalsIgnoreCase(".NBM") && !fileType.equalsIgnoreCase(".ZIP")) {
                throw new ValidatorException(new FacesMessage("Invalid file type! You must point to a .nbm or .zip file."));
            }
        }
    }
    
}

